class CreateVBdas < ActiveRecord::Migration[6.0]
  def change
    create_table :v_bdas do |t|
      t.string :token
      t.date :date
      t.decimal :amount, :precision => 14, :scale => 2
      t.decimal :seuil, :precision => 14, :scale => 2
      t.boolean :used, :default => false
      t.date :end_at
      t.references :volume_periodique, foreign_key: true
      t.integer :v_contact_id
      t.integer :societe_id
      t.integer :societe_use_id
      t.text :comment
      t.string :bda_type

      t.timestamps
    end
  end
end
